# LayerRowHeader (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class LayerRowHeader

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.table.CTLayer
      - - org.deidentifier.arx.gui.view.impl.common.table.LayerRowHeader

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      public class LayerRowHeader
      extends CTLayer

  The row layer.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `underlyingLayer`

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerRowHeader(org.eclipse.swt.widgets.Composite parent, org.eclipse.nebula.widgets.nattable.data.IDataProvider dataProvider, LayerBody bodyLayer, CTConfiguration config, CTContext context)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTLayer

      `getConfig, getContext`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `configure, dispose, doCommand, getCellByPosition, getCellPainter, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayer, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, setUnderlyingLayer, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerCommandHandlers, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerRowHeader

          public LayerRowHeader(org.eclipse.swt.widgets.Composite parent,
                        org.eclipse.nebula.widgets.nattable.data.IDataProvider dataProvider,
                        LayerBody bodyLayer,
                        CTConfiguration config,
                        CTContext context)

      Creates a new instance.
      Parameters:
        `parent` -
        `dataProvider` -
        `bodyLayer` -
        `config` -
        `context` -